 

<div style="margin-top:20px; margin-left: 20px;">
  <strong>first name</strong><br>
  <input [(ngModel)]="newName.firstname" type="text">
</div>

<div style="margin-top:20px; margin-left: 20px;">
  <strong>last name</strong><br>
  <input [(ngModel)]="newName.lastname" type="text">
</div>

<div style="margin-top:20px; margin-left: 20px;">
  <strong>Gender</strong><br>
  <input [(ngModel)]="newName.gender" type="text">
</div>
 
<button (click)="name()"style="margin-top:20px; margin-left: 20px;" type="button" class="btn btn-warning">Add</button>
<p> <strong>Student.....</strong></p>

<p *ngFor="let name of array"  style="margin-top:20px; margin-left: 20px;">{{name.firstname}} {{name.lastname}} {{name.gender}}</p>


<div style="display: flex; gap: 20px;margin-top: 20px;margin-left:20px;">
  <input type="text">
  <button>Start</button>
</div>


  